org.apache.http.protocol

## Class ResponseConnControl

- java.lang.Object
- - org.apache.http.protocol.ResponseConnControl

All Implemented Interfaces:
  HttpResponseInterceptor

    @Immutable
    public class ResponseConnControl
    extends Object
    implements HttpResponseInterceptor

ResponseConnControl is responsible for adding `Connection` header to the outgoing responses, which is essential for managing persistence of `HTTP/1.0` connections. This interceptor is recommended for server side protocol processors.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ResponseConnControl()`

### Method Summary

Methods
`void` `process(HttpResponse response, HttpContext context)` Processes a response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseConnControl

    public ResponseConnControl()

### Method Detail

#### process

    public void process(HttpResponse response,
               HttpContext context)
                 throws HttpException,
                        IOException

Description copied from interface: `HttpResponseInterceptor`
Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.

Specified by:
  `process` in interface `HttpResponseInterceptor`
Parameters:
  `response` - the response to postprocess
  `context` - the context for the request
Throws:
  `HttpException` - in case of an HTTP protocol violation
  `IOException` - in case of an I/O error